Module org.firebirdsql.jaybird
Package org.firebirdsql.gds.ng.wire

# Interface FbWireBlob

All Superinterfaces:
  `AutoCloseable`, `ExceptionListenable`, `FbBlob`

All Known Implementing Classes:
  `AbstractFbWireBlob`, `AbstractFbWireInputBlob`, `AbstractFbWireOutputBlob`, `V10InputBlob`, `V10OutputBlob`, `V11InputBlob`, `V11OutputBlob`

public interface FbWireBlob extends FbBlob

Since:
  3.0
Author:
  Mark Rotteveel

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.firebirdsql.gds.ng.FbBlob

`FbBlob.SeekMode`

## Field Summary

### Fields inherited from interface org.firebirdsql.gds.ng.FbBlob

`NO_BLOB_ID`

## Method Summary

### Methods inherited from interface org.firebirdsql.gds.ng.listeners.ExceptionListenable

`addExceptionListener, removeExceptionListener`

### Methods inherited from interface org.firebirdsql.gds.ng.FbBlob

`cancel, close, get, get, getBlobId, getBlobInfo, getBlobInfo, getDatabase, getHandle, getMaximumSegmentSize, getSegment, isEof, isOpen, isOutput, length, open, put, putSegment, seek`